#include <luna.h>
#include <luna/syscall.h>
#include <sys/stat.h>
#include <sys/syscall.h>

extern "C"
{
    int mkdir(const char* pathname, mode_t mode)
    {
        return (int)__lc_fast_syscall2(SYS_mkdir, pathname, mode);
    }

    int fstat(int fd, struct stat* buf)
    {
        return (int)__lc_fast_syscall2(SYS_fstat, fd, buf);
    }

    int stat(const char* path, struct stat* buf)
    {
        return (int)__lc_fast_syscall2(SYS_stat, path, buf);
    }

    mode_t umask(mode_t cmask)
    {
        return (mode_t)__lc_fast_syscall1(SYS_umask, cmask);
    }

    int chmod(const char*, mode_t)
    {
        NOT_IMPLEMENTED("chmod");
    }

    int fchmod(int, mode_t)
    {
        NOT_IMPLEMENTED("fchmod");
    }
}